<?php

require_once('SimpleCalDAVClient.php');
require_once('config.inc.php');

function envoi_event($date_time, $url, $type)
{
	global $laliscloud_url;
	$client = new SimpleCalDAVClient();
	$date = date('d/m/Y', $date_time['ts_debut']);
	$date_creation = date("Ymd\THis");
	$datetime_start = date("Ymd\THis", $date_time["ts_debut"]);
	$datetime_fin = date("Ymd\THis", $date_time["ts_fin"]);
	$ID = uniqid();
	if ($type == "p")
	{
		$type = "au local";
	}elseif ($type == "t")
	{
		$type = "en téléconférence";
	}
	$NewEvent = "BEGIN:VCALENDAR
PRODID:-//Atelier Lalis $type//FR
VERSION:2.0
BEGIN:VEVENT
CREATED:$date_creation
LAST-MODIFIED:$date_creation
DTSTAMP:$date_creation
UID:Atelier-$ID
CATEGORIES:Lalis, ateliers
CLASS:PUBLIC
SUMMARY:Atelier du $date
DTSTART;TZID=Europe/Paris:$datetime_start
DTEND;TZID=Europe/Paris:$datetime_fin
LOCATION:Lalis 7 place Louis Chazette 69001 Lyon
DESCRIPTION:Inscription: $url
BEGIN:VALARM
ACTION:AUDIO
TRIGGER:-PT1H
END:VALARM
END:VEVENT
END:VCALENDAR";
echo $NewEvent;
	try {
		/*
		* To establish a connection and to choose a calendar on the server, use
		* connect()
		* findCalendars()
		* setCalendar()
		*/

		$client->connect($laliscloud_url . 'laliscloud/remote.php/dav/principals/users/lalis/', 'lalis', 'Lalis69_cloud');
		$arrayOfCalendars = $client->findCalendars();
		$client->setCalendar($arrayOfCalendars["personal"]);
		// Here: Use the calendar ID of your choice. If you don't know which calendar ID to use, try config/listCalendars.php
		/*
		* You can create calendar objects (e.g. events, todos,...) on the server with create().
		* Just pass a string with the iCalendar-data which should be saved on the server.
		* The function returns a CalDAVObject (see CalDAVObject.php) with the stored information about the new object on the server
		*/
		//echo $NewEvent;
		$firstNewEventOnServer = $client->create($NewEvent); // Creates $firstNewEvent on the server and a CalDAVObject representing the event.
	}

	catch (Exception $e)
	{
		echo $e->__toString();
	}

}
?>
