<?php

function getparam( $var, $default="", $session=false )
{
	global $opt;
	//echo '$var =>' . $var . "<br />";
	if ( isset($_GET[$var]) )
	{
	//	echo '$_get -> $var =>' . $var . "<br />";
		return $_GET[$var];
	}
	elseif ( isset($_POST[$var]) )
	{
	//	echo '$_POST -> $var =>' . $var . " => " .$_POST[$var] . "<br />";
		return $_POST[$var];
	}elseif ( isset($_SESSION[$var]) AND $session==true )
	{
		return $_SESSION[$var];
	}elseif ( isset($opt[$var]) )
	{
		return $opt[$var];
	}else
	{
		//echo 'default -> $var =>' . $var . "<br />";
		return $default;
	}
}

function date_reservation( $date, $heure )
{
	echo "date_reservation". EOL;
	if ( strpos($date, "/") != 0 )
	{
		echo "date avec /".EOL;
		$date_exploded = explode( "/", $date );
		if ( $date_exploded[2] < 2000 )		//si année sur 2 chiffres
		{
			$date_exploded[2] += 2000;		// on rajoute 2000
		}
		if ( strpos($heure, ":") != 0 )
		{
			$time_exploded = explode( ":", $heure );
		}else
		{
			return 1;
		}
		$date_time["mysql"] = $date_exploded[2] . "-" . $date_exploded[1] . "-" . $date_exploded[0] . " " . $time_exploded[0] . ":" . $time_exploded[1] .":00";
	}elseif( strpos($date, "-") != 0 )
	{
		echo "date au format mysql".EOL;
		$date_time["mysql"] = $date . " " . $heure . ":00";

	}else
	{
		echo "format de date non reconnue".EOL;
		return 1;
	}

	$date_time["debut"] = DateTime::createFromFormat("Y-m-d H:i:s", $date_time["mysql"]);
	print_r($date_time["debut"]);
	echo EOL;
	$jour_semaine = $date_time["debut"]->format("w");
	$heure = $date_time["debut"]->format("H");
	echo "Heure:" . $heure . " jour : " . $jour_semaine . EOL;
	switch ($heure)
	{
		case 10:
			if ($jour_semaine < 3 && $jour_semaine > 5) return 1;
			break;
		case 18:
			if ($jour_semaine != 1 && $jour_semaine != 3 && $jour_semaine != 4 ) return 1;
			break;
		case 15:
			if ($jour_semaine != 2 && $jour_semaine != 3 && $jour_semaine != 4 ) return 1;
			break;
	}
	$interval = new DateInterval('PT01H30M');
	$date_time["fin"] = clone $date_time["debut"];
	$date_time["fin"]->add( $interval );
	$date_time["ts_debut"] = $date_time["debut"]->getTimestamp();
	$date_time["ts_fin"] = $date_time["fin"]->getTimestamp();
	return $date_time;
}

function verif_agenda( $date_time )
{
	require('SimpleCalDAVClient.php');
	$interval = new DateInterval('PT30M');
	$date_time["debut"]->sub($interval);
	$date_time["fin"]->add($interval);
	$debut = date("Ymd\THis\Z", $date_time["debut"]->getTimestamp());
	$fin = date("Ymd\THis\Z", $date_time["fin"]->getTimestamp());


	require_once("calendriers.php");
	foreach( $calendriers AS $cal )
	{
		$caldav = new SimpleCalDAVClient();
		$caldav->connect($cal["url"], $cal["nom"], $cal["pw"]);
		$arrayOfCalendars = $caldav->findCalendars();
		$caldav->setCalendar($arrayOfCalendars[$cal["cal"]]);
		$result = $caldav->getEvents( $debut, $fin);
		if ( !empty($result) ) return 1;
	}
	return 0;
}
?>
