<?php

function recap()
{
	global $base_url, $web;
	require_once "db.class.php";
	// on ouvre la bd dolibarr 2 fois
	//  la première la liste des sondages actifs triés par date de date_fin
	//  la deuxième pour lire les résultats des sondages
	$db = new db("dolibarr");
	$db2= new db("dolibarr");

	$query = "SELECT * FROM llx_opensurvey_sondage WHERE status='1' ORDER BY date_fin";
	$db->query($query);
	// Pour chaque sondage on va lire les résultats
	if ( $db->result->num_rows !=0 )
	{
		while( $sondage = $db->result->fetch_array() )
		{
			// tri des résultats des sondages qui sont compilés dns un seul champ
			//print_r($sondage);
			$tab =array();
			// on stock le nom des ateliers
			$nom_atelier = explode( ",", $sondage["sujet"] );
			//on récupère les votes
			$query = "SELECT * FROM llx_opensurvey_user_studs WHERE id_sondage='" . $sondage["id_sondage"] . "'";
			$id = $sondage["id_sondage"];
			$db2->query($query);
			// pour chaque vote on compte les résultats par atelier
			while( $reponse = $db2->result->fetch_array() )
			{
				$r = str_split( $reponse["reponses"] );
				$l = count( $r );
				for ($x=0; $x<$l; $x++)
				{
					if ( !isset($tab[$x]) )
					{
						$tab[$x] = 0;
					}
					$tab[$x] += $r[$x];
				}
			}
			// on met tout dans un tableau
			$resultat[$id]["titre"] = $sondage["titre"] . "\n";
			$resultat[$id]["nom_atelier"] = $nom_atelier;
			$resultat[$id]["url"] = $base_url . "dbarr/public/opensurvey/studs.php?sondage=" . $sondage["id_sondage"];
			arsort($tab);
			$x = 0;
			$resultat[$id]["reponse"][$x]["atelier"] = key($tab);
			$resultat[$id]["reponse"][$x]["votes"] = current($tab);
			$value = current($tab);
			//echo $resultat[$id]["titre"];
			while ($r = next($tab))
			{
				//echo $value . "====>>>" . $r . "\n";
				if ( ($r == $value) )
				{
					$x++;
					$resultat[$id]["reponse"][$x]["atelier"] = key($tab);
					$resultat[$id]["reponse"][$x]["votes"] = current($tab);
				}else
				{
					break;
				}
			}
		}
		echo "<h2>Liste des sondages</h2>";
		foreach( $resultat as $resume)
		{
			if ($web)
			{

				$str_atelier = "<h4>" . $resume["titre"] . "</h4>";
				$url = TAB . 'Url : <a href="' .  $resume["url"] . '">' . $resume["url"] . '</a>' . EOL;
			}else
			{
				echo "Liste des sondages:" . EOL;
				$str_atelier = $resume["titre"];
				$url = TAB . "Url : " . $resume["url"] . EOL;
			}

			echo $str_atelier;
			foreach( $resume["reponse"] as $atelier )
			{
				if ( !empty($atelier["atelier"]) )
				{
					$str = TAB . strstr( $atelier["atelier"], "@checkbox" , true ) . " => " . $atelier["votes"] . " votes". EOL;
					echo $str;
				}else
				{
					echo TAB . "Pas d'ateliers" . EOL;
				}
			}
			echo $url;

		}
	}else
	{
		if ($web)
		{
			echo "<h1>Aucun atelier de prévu</h1>";
		}else
		{
			echo "Aucun atelier de prévu" . EOL;
		}
	}
	llxFooter();
}
?>
